> For the complete documentation index, see [llms.txt](https://docs.pgecom.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pgecom.com/api-endpoint/payment/mon-cash/withdrawtomoncashestimate.md).

# WithdrawToMonCashEstimate

You can use this endpoint to check for monCash rates before sending the monCash

**amount: number**\
The amount of funds that you'd like to send. It depends on the balance type. If the balance type is "balance", then the amount should be in USD

**delivery: string -** default standard\
The delivery depends on how fast you want it. Here is a list of delivery type

* standard - 2 days - free
* regular - 24-hour - ***fees applied***
* instant - instantly (3 seconds - 2 minutes) - **fees applied**

## Withdraw mon cash payment

<mark style="color:green;">`POST`</mark> `https://sandbox.pgecom.com/api/user/withdraw/rates`

This endpoint is just for getting an estimate on how much the user will receive

#### Request Body

| Name                                     | Type   | Description                                           |
| ---------------------------------------- | ------ | ----------------------------------------------------- |
| amount<mark style="color:red;">\*</mark> | Number | Amount  in USD that you'd like to send                |
| delivery                                 | String | Delivery method - standard, regular, express, instant |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
    "amount": 20,
    "delivery": "standard",
    "gourdes": 2640,
    "feesInUSD": 0,
    "feesInHTG": 0,
    "exchangeAmount": 132,
    "amountAfterFees": 20
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Always verify the phone number or we'll issue the funds back to your account
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pgecom.com/api-endpoint/payment/mon-cash/withdrawtomoncashestimate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
